import MusicPrefab from '../../engine/uicomponent/MusicPrefab'
import SoundPrefab from '../../engine/uicomponent/SoundPrefab'
import RandomUtil from '../../engine/utils/RandomUtil'

export default class GameMusicHelper {
  public static playBg() {
    const randomIndex: number = RandomUtil.nextInt(1, 3)
    MusicPrefab.play(`background_${randomIndex}`)
  }

  public static playFishDead(fishType: number) {
    SoundPrefab.play(`deadfish_${fishType}`)
  }

  public static playFire() {
    SoundPrefab.play('fire')
  }
}
